## perlqt 4.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(PerlQt)

enable_testing()
set(ENABLE_GUI_TESTS OFF CACHE BOOL "Run GUI tests in the \"test\" target")
set(USE_BUILD_DIR_FOR_TESTS OFF CACHE BOOL "Use to toggle between using the build dir or the install dir for tests.")

find_package(Perl REQUIRED)
find_package(PerlLibs REQUIRED)
find_package(Qt4 REQUIRED)
find_package(Smoke REQUIRED COMPONENTS QtCore)
find_package(Smoke COMPONENTS QtCore QtGui QtNetwork Qt3Support QtDeclarative QtDBus QtHelp QtMultimedia
                              QtOpenGl QtScript QtSql QtSvg QtTest QtUiTools QtWebKit QtXml QtXmlPatterns
                              Phonon Qwt QSci QImageBlitz)
                              
include_directories(${SMOKE_INCLUDE_DIR} ${SMOKE_QTCORE_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${SMOKE_CMAKE_MODULE_DIR})
include(MacroOptionalFindPackage)
include(MacroOptionalAddBindings)
include(MacroLogFeature)
include(MacroProve)

macro_optional_find_package(QScintilla)
macro_log_feature(QSCINTILLA_FOUND "QScintilla2" "QScintilla2 libraries" "http://www.riverbankcomputing.co.uk/software/qscintilla/intro" FALSE "" "Needed to compile QScintilla2 bindings")

macro_optional_find_package(QImageBlitz)
macro_log_feature(QIMAGEBLITZ_FOUND "QImageBlitz" "QImageBlitz library" "http://www.kde.org" FALSE "" "Needed to compile QImageBlitz bindings")

macro_optional_find_package(Phonon)
macro_log_feature(PHONON_FOUND "Phonon" "Phonon multimedia framework" "http://www.kde.org" FALSE "" "Needed to compile Phonon bindings")

macro_optional_find_package(Qwt5)
macro_log_feature(Qwt5_Qt4_FOUND "Qwt5 for Qt4" "Qwt5 libraries for Qt4" "http://qwt.sourceforge.net" FALSE "" "Needed to compile Qwt5 bindings")

add_definitions(-DDEBUG)

include (FindPerlMore)
string(LENGTH "${PERL_INSTALL_PREFIX}" PERL_INSTALL_PREFIX_LEN)
math(EXPR PERL_INSTALL_PREFIX_LEN "${PERL_INSTALL_PREFIX_LEN}+1")
string(SUBSTRING ${PERL_SITE_ARCH_DIR} ${PERL_INSTALL_PREFIX_LEN} -1 CUSTOM_PERL_SITE_ARCH_DIR)
file(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}/${CUSTOM_PERL_SITE_ARCH_DIR}" CUSTOM_PERL_SITE_ARCH_DIR)
set(CUSTOM_PERL_SITE_ARCH_DIR ${CUSTOM_PERL_SITE_ARCH_DIR} CACHE DIR "Custom installation directory for perl binary extension")

# the RPATH to be used when installing, but only if it's not a system directory
GET_FILENAME_COMPONENT(SMOKE_LIB_DIR ${SMOKE_BASE_LIBRARY} PATH)
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES ${SMOKE_LIB_DIR} isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH}:${SMOKE_LIB_DIR}")
ENDIF("${isSystemDir}" STREQUAL "-1")

GET_FILENAME_COMPONENT(PERL_LIB_DIR ${PERL_LIBRARY} PATH)
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES ${PERL_LIB_DIR} isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH}:${PERL_LIB_DIR}")
ENDIF("${isSystemDir}" STREQUAL "-1")

# This assumes there will be a release version of the qtcore library available
GET_FILENAME_COMPONENT(QT_LIB_DIR ${QT_QTCORE_LIBRARY_RELEASE} PATH)
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES ${QT_LIB_DIR} isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH}:${QT_LIB_DIR}")
ENDIF("${isSystemDir}" STREQUAL "-1")


add_subdirectory(qtcore)

macro_optional_add_bindings(SMOKE_QT3SUPPORT_FOUND    "Qt3Support"    qt3support)
macro_optional_add_bindings(SMOKE_QTDBUS_FOUND        "QtDBus"        qtdbus)
macro_optional_add_bindings(SMOKE_QTDECLARATIVE_FOUND "QtDeclarative" qtdeclarative)
macro_optional_add_bindings(SMOKE_QTGUI_FOUND         "QtGui"         qtgui)
macro_optional_add_bindings(SMOKE_QTHELP_FOUND        "QtHelp"        qthelp)
macro_optional_add_bindings(SMOKE_QTMULTIMEDIA_FOUND  "QtMultimedia"  qtmultimedia)
macro_optional_add_bindings(SMOKE_QTNETWORK_FOUND     "QtNetwork"     qtnetwork)
macro_optional_add_bindings(SMOKE_QTOPENGL_FOUND      "QtOpenGL"      qtopengl)
macro_optional_add_bindings(SMOKE_QTSCRIPT_FOUND      "QtScript"      qtscript)
macro_optional_add_bindings(SMOKE_QTSQL_FOUND         "QtSql"         qtsql)
macro_optional_add_bindings(SMOKE_QTSVG_FOUND         "QtSvg"         qtsvg)
macro_optional_add_bindings(SMOKE_QTTEST_FOUND        "QtTest"        qttest)
macro_optional_add_bindings(SMOKE_QTUITOOLS_FOUND     "QtUiTools"     qtuitools)
macro_optional_add_bindings(SMOKE_QTWEBKIT_FOUND      "QtWebKit"      qtwebkit)
macro_optional_add_bindings(SMOKE_QTXML_FOUND         "QtXml"         qtxml)
macro_optional_add_bindings(SMOKE_QTXMLPATTERNS_FOUND "QtXmlPatterns" qtxmlpatterns)

macro_optional_add_bindings(SMOKE_PHONON_FOUND "Phonon" phonon)

macro_optional_add_bindings(QSCINTILLA_FOUND "QScintilla" qsci)

macro_optional_add_bindings(Qwt5_Qt4_FOUND "Qwt" qwt)

macro_optional_add_bindings(SMOKE_QIMAGEBLITZ_FOUND "QImageBlitz" qimageblitz)

macro_display_bindings_log()

macro_display_feature_log()

install(EXPORT PerlQtExport DESTINATION ${CMAKE_INSTALL_PREFIX}/share/perlqt/cmake NAMESPACE PERLQT_)
add_subdirectory(cmake)

=== qtdbus/CMakeLists.txt ===
add_subdirectory( src )
add_subdirectory( lib )
add_subdirectory( tools )
add_subdirectory( t )

=== qtcore/tools/CMakeLists.txt ===
add_subdirectory( puic )
add_subdirectory( prcc )

=== qtdbus/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on QtDBus4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/QtDBus4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} QtDBus4.xs ${CMAKE_CURRENT_BINARY_DIR}/QtDBus4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/QtDBus4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build QtDBus4.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/QtDBus4.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(qtdbus4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/QtDBus4.c
    qtdbus4handlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/blib/arch/auto/QtDBus4)
add_library(perl_qtdbus4 SHARED ${qtdbus4_LIBRARY_SRC})

target_link_libraries(perl_qtdbus4
    ${SMOKE_QTDBUS_LIBRARY}
    perlqtcore4
    ${QT_QTDBUS_LIBRARY})

set_target_properties(perl_qtdbus4 PROPERTIES OUTPUT_NAME "QtDBus4")
set_target_properties(perl_qtdbus4 PROPERTIES PREFIX "")

install(TARGETS perl_qtdbus4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/QtDBus4/)

=== qtdbus/t/CMakeLists.txt ===
# Class tests
macro_prove(perlqt_qtdbus4_load ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== qtdeclarative/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on QtDeclarative4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/QtDeclarative4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} QtDeclarative4.xs ${CMAKE_CURRENT_BINARY_DIR}/QtDeclarative4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/QtDeclarative4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build QtDeclarative4.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/QtDeclarative4.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(qtdeclarative4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/QtDeclarative4.c
    qtdeclarative4handlers.cpp
)

if(WIN32)
    set(libraryName PerlQtDeclarative4)
else()
    set(libraryName QtDeclarative4)
endif(WIN32)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/blib/arch/auto/${libraryName})
add_library(perl_qtdeclarative4 SHARED ${qtdeclarative4_LIBRARY_SRC})

target_link_libraries(perl_qtdeclarative4
    ${SMOKE_QTDECLARATIVE_LIBRARY}
    perlqtcore4)

set_target_properties(perl_qtdeclarative4 PROPERTIES OUTPUT_NAME ${libraryName})
set_target_properties(perl_qtdeclarative4 PROPERTIES PREFIX "")

install(TARGETS perl_qtdeclarative4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/${libraryName}/)

=== qtgui/t/CMakeLists.txt ===
# Class tests
macro_prove(perlqt_qtgui4_load      ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)
macro_prove(perlqt_qpolygon         ${CMAKE_CURRENT_SOURCE_DIR}/qpolygon.t)
macro_prove(perlqt_qpolygonf        ${CMAKE_CURRENT_SOURCE_DIR}/qpolygonf.t)
macro_prove(perlqt_qstringlistmodel ${CMAKE_CURRENT_SOURCE_DIR}/qstringlistmodel.t)

# GUI tests
if( ENABLE_GUI_TESTS )
    macro_prove(perlqt_itemviewspixelator       ${CMAKE_CURRENT_SOURCE_DIR}/itemviewspixelator.t       ${CMAKE_SOURCE_DIR}/qtgui/examples/itemviews/pixelator)
    macro_prove(perlqt_itemviewspuzzle          ${CMAKE_CURRENT_SOURCE_DIR}/itemviewspuzzle.t          ${CMAKE_SOURCE_DIR}/qtgui/examples/itemviews/puzzle)
    macro_prove(perlqt_helpcontextsensitivehelp ${CMAKE_CURRENT_SOURCE_DIR}/helpcontextsensitivehelp.t ${CMAKE_SOURCE_DIR}/qtgui/examples/help/contextsensitivehelp)
    macro_prove(perlqt_mainwindowsmdi           ${CMAKE_CURRENT_SOURCE_DIR}/mainwindowsmdi.t           ${CMAKE_SOURCE_DIR}/qtgui/examples/mainwindows/mdi)
    macro_prove(perlqt_networkbroadcast         ${CMAKE_CURRENT_SOURCE_DIR}/networkbroadcast.t         ${CMAKE_SOURCE_DIR}/qtgui/examples/network/broadcastsender)
    macro_prove(perlqt_networkfortune           ${CMAKE_CURRENT_SOURCE_DIR}/networkfortune.t           ${CMAKE_SOURCE_DIR}/qtgui/examples/network/fortuneserver)
    macro_prove(perlqt_networkgooglesuggest     ${CMAKE_CURRENT_SOURCE_DIR}/networkgooglesuggest.t     ${CMAKE_SOURCE_DIR}/qtgui/examples/network/googlesuggest)
    macro_prove(perlqt_paintingfontsampler      ${CMAKE_CURRENT_SOURCE_DIR}/paintingfontsampler.t      ${CMAKE_SOURCE_DIR}/qtgui/examples/painting/fontsampler)
    macro_prove(perlqt_richtextcalendar         ${CMAKE_CURRENT_SOURCE_DIR}/richtextcalendar.t         ${CMAKE_SOURCE_DIR}/qtgui/examples/richtext/calendar)
    macro_prove(perlqt_sqlquerymodel            ${CMAKE_CURRENT_SOURCE_DIR}/sqlquerymodel.t            ${CMAKE_SOURCE_DIR}/qtgui/examples/sql/querymodel)
    macro_prove(perlqt_widgetscalculator        ${CMAKE_CURRENT_SOURCE_DIR}/widgetscalculator.t        ${CMAKE_SOURCE_DIR}/qtgui/examples/widgets/calculator)
    macro_prove(perlqt_widgetswiggly            ${CMAKE_CURRENT_SOURCE_DIR}/widgetswiggly.t            ${CMAKE_SOURCE_DIR}/qtgui/examples/widgets/wiggly)
    macro_prove(perlqt_xmlstreambookmarks       ${CMAKE_CURRENT_SOURCE_DIR}/xmlstreambookmarks.t       ${CMAKE_SOURCE_DIR}/qtgui/examples/xml/streambookmarks)
endif( ENABLE_GUI_TESTS )

=== qtnetwork/lib/CMakeLists.txt ===
add_custom_target(qtnetwork4pm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/QtNetwork4.pm ${CMAKE_BINARY_DIR}/blib/lib/QtNetwork4.pm)
install(FILES QtNetwork4.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== qtnetwork/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/qtcore/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on QtNetwork4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/QtNetwork4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} QtNetwork4.xs ${CMAKE_CURRENT_BINARY_DIR}/QtNetwork4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/QtNetwork4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build QtNetwork4.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/QtNetwork4.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(qtnetwork4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/QtNetwork4.c
    qtnetwork4handlers.cpp
    xsfunctions.cpp
)

if(WIN32)
    set(libraryName PerlQtNetwork4)
else()
    set(libraryName QtNetwork4)
endif(WIN32)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/blib/arch/auto/${libraryName})
add_library(perl_qtnetwork4 SHARED ${qtnetwork4_LIBRARY_SRC})

target_link_libraries(perl_qtnetwork4
    ${SMOKE_QTNETWORK_LIBRARY}
    perlqtcore4)

set_target_properties(perl_qtnetwork4 PROPERTIES OUTPUT_NAME ${libraryName})
set_target_properties(perl_qtnetwork4 PROPERTIES PREFIX "")

install(TARGETS perl_qtnetwork4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/${libraryName}/)

=== qtsvg/lib/CMakeLists.txt ===
add_custom_target(qtsvg4pm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/QtSvg4.pm ${CMAKE_BINARY_DIR}/blib/lib/QtSvg4.pm)
install(FILES QtSvg4.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== qttest/lib/CMakeLists.txt ===
add_custom_target(qttest4pm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/QtTest4.pm ${CMAKE_BINARY_DIR}/blib/lib/QtTest4.pm)
install(FILES QtTest4.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== qttest/t/CMakeLists.txt ===
# Class tests
macro_prove(perlqt_qttest4_load ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

macro_prove(perlqt_qsignalspy ${CMAKE_CURRENT_SOURCE_DIR}/qsignalspy.t)
macro_prove(perlqt_qtesteventlist ${CMAKE_CURRENT_SOURCE_DIR}/qtesteventlist.t)

=== debian/changelog ===
perlqt (4:4.14.1-0ubuntu7) xenial; urgency=medium

  * Remove libqtwebkit4-perl binary package, since WebKit support has been
    removed from smokeqt (see https://bugs.debian.org/784528).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Dec 2015 04:18:27 +0000

perlqt (4:4.14.1-0ubuntu6) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 12:54:27 +0000

perlqt (4:4.14.1-0ubuntu5) xenial; urgency=medium

  * No-change rebuild against libsmokeqttest4-3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Nov 2015 23:08:47 +0000

perlqt (4:4.14.1-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libsmokeqtcore4-3v5

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:27:24 +0200

perlqt (4:4.14.1-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libsmokeqtcore4-3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 01:17:15 +0000

perlqt (4:4.14.1-0ubuntu2) vivid; urgency=medium

  * Add debian/patches/additionalperl5.20.diff from upstream to complete
    Perl 5.20 compatibility fixes

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Oct 2014 20:22:50 -0400

perlqt (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release 
  * Add back perl5.20.diff patch needed for kdeperl build. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 17:59:31 +0200

perlqt (4:4.14.0-0ubuntu3) utopic; urgency=medium

  * Adjust *.install to handle vendorarch change in Perl 5.20.  Requires
    debhelper 9 for executable configuration files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 18:54:46 +0100

perlqt (4:4.14.0-0ubuntu2) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:34:59 +0100

perlqt (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:43:53 +0200

perlqt (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:34:33 +0200

perlqt (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:55:49 +0200

perlqt (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dep on pkg-config

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:46:29 +0200

perlqt (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:09:50 +0100

=== debian/control ===
Source: perlqt
Section: perl
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Sune Vuorela <sune@debian.org>
Build-Depends: cmake,
               debhelper (>= 9~),
               libgdbm-dev,
               libperl-dev,
               libphonon-dev,
               libqimageblitz-dev,
               libqscintilla2-dev,
               libqt4-dev,
               libsmokeqt4-dev (>= 4.9.0),
               pkg-kde-tools (>= 0.12),
               smoke-dev-tools,
               pkg-config
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlqt
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlqt
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlqt

Package: perlqt-dev
Architecture: any
Depends: libphonon-perl (= ${binary:Version}),
         libqimageblitz-perl (= ${binary:Version}),
         libqscintilla-perl (= ${binary:Version}),
         libqt3support4-perl (= ${binary:Version}),
         libqtcore4-perl (= ${binary:Version}),
         libqtdbus4-perl (= ${binary:Version}),
         libqtdeclarative4-perl (= ${binary:Version}),
         libqtgui4-perl (= ${binary:Version}),
         libqthelp4-perl (= ${binary:Version}),
         libqtnetwork4-perl (= ${binary:Version}),
         libqtopengl4-perl (= ${binary:Version}),
         libqtscript4-perl (= ${binary:Version}),
         libqtsql4-perl (= ${binary:Version}),
         libqtsvg4-perl (= ${binary:Version}),
         libqttest4-perl (= ${binary:Version}),
         libqtuitools4-perl (= ${binary:Version}),
         libqtxml4-perl (= ${binary:Version}),
         libqtxmlpatterns4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Development files for PerlQt4
 This package contains the Development files for the Perl Qt Bindings.
 .
 This Package is part of the PerlQt module.

Package: libqtcore4-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
 liblist-moreutils-perl
Description: perl bindings for the Qt Core library
 This package contains perl bindings for the Qt Core library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtcore4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtgui4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Gui library
 This package contains perl bindings for the Qt Gui library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtxml4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Xml library
 This package contains perl bindings for the Qt Xml library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtnetwork4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Network library
 This package contains perl bindings for the Qt Network library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.
 .
 This Package is part of the PerlQt module.

Package: libqttest4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Test library
 This package contains perl bindings for the Qt Test library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-test package.
 .
 This Package is part of the PerlQt module.

Package: libphonon-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Phonon library
 This package contains perl bindings for the Phonon multimedia library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libphonon4 package.
 .
 This Package is part of the PerlQt module.

Package: libqimageblitz-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the QImageBlitz library
 This package contains perl bindings for the QImageBlitz library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqimageblitz4 package.
 .
 This Package is part of the PerlQt module.

Package: libqscintilla-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the QScintilla2 library
 This package contains perl bindings for the QScintilla2 library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqscintilla2-5 package.
 .
 This Package is part of the PerlQt module.

Package: libqt3support4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         libqtgui4-perl (= ${binary:Version}),
         libqtnetwork4-perl (= ${binary:Version}),
         libqtsql4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt 3 compatibility library
 This package contains perl bindings for the Qt 3 compatibility library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-qt3support package.
 .
 This Package is part of the PerlQt module.

Package: libqtdbus4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Dbus library
 This package contains perl bindings for the Qt Dbus library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-dbus package.
 .
 This Package is part of the PerlQt module.

Package: libqtdeclarative4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Declarative library
 This package contains perl bindings for the Qt Declarative library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-declarative package.
 .
 This Package is part of the PerlQt module.

Package: libqthelp4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Help library
 This package contains perl bindings for the Qt Help library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-help package.
 .
 This Package is part of the PerlQt module.

Package: libqtopengl4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt OpenGL library
 This package contains perl bindings for the Qt OpenGL library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-opengl package.
 .
 This Package is part of the PerlQt module.

Package: libqtscript4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Script bindings
 This package contains perl bindings for the Qt Script bindings.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtscript4-core package.
 .
 This Package is part of the PerlQt module.

Package: libqtsql4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Sql library
 This package contains perl bindings for the Qt Sql library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-sql package.
 .
 This Package is part of the PerlQt module.

Package: libqtsvg4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Svg library
 This package contains perl bindings for the Qt Svg library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-svg package.
 .
 This Package is part of the PerlQt module.

Package: libqtuitools4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt UiTools library
 This package contains perl bindings for the Qt UiTools library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtcore4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtxmlpatterns4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt XMLPatterns library
 This package contains perl bindings for the Qt XMLPatterns library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-xmlpatterns package.
 .
 This Package is part of the PerlQt module.

Package: perlqt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokeqt4-dbg
Suggests: libphonon-perl (= ${binary:Version}),
          libqimageblitz-perl (= ${binary:Version}),
          libqscintilla-perl (= ${binary:Version}),
          libqt3support4-perl (= ${binary:Version}),
          libqtdbus4-perl (= ${binary:Version}),
          libqtdeclarative4-perl (= ${binary:Version}),
          libqtgui4-perl (= ${binary:Version}),
          libqthelp4-perl (= ${binary:Version}),
          libqtnetwork4-perl (= ${binary:Version}),
          libqtopengl4-perl (= ${binary:Version}),
          libqtscript4-perl (= ${binary:Version}),
          libqtsql4-perl (= ${binary:Version}),
          libqtsvg4-perl (= ${binary:Version}),
          libqttest4-perl (= ${binary:Version}),
          libqtuitools4-perl (= ${binary:Version}),
          libqtxml4-perl (= ${binary:Version}),
          libqtxmlpatterns4-perl (= ${binary:Version})
Description: debugging symbols for the perl Qt4 bindings.
 This package contains the debugging symbols that can be used for debugging
 crashes with the Perl language bindings for Qt4.
 .
 This package is part of the PerlQt module.

## perlqt 4.14.2

=== debian/changelog ===
perlqt (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:11:09 +0200

perlqt (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:47:49 -0700

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
          libqtsvg4-perl (= ${binary:Version}),
          libqttest4-perl (= ${binary:Version}),
          libqtuitools4-perl (= ${binary:Version}),
+         libqtwebkit4-perl (= ${binary:Version}),
          libqtxml4-perl (= ${binary:Version}),
          libqtxmlpatterns4-perl (= ${binary:Version}),
          ${misc:Depends},
@@ -284,6 +285,20 @@
  .
  It enables the use of Qt applications written in perl. For more details
  see the libqtcore4 package.
+ .
+ This Package is part of the PerlQt module.
+
+Package: libqtwebkit4-perl
+Architecture: any
+Depends: libqtcore4-perl (= ${binary:Version}),
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
+Description: perl bindings for the Qt Webkit library
+ This package contains perl bindings for the Qt Webkit library.
+ .
+ It enables the use of Qt applications written in perl. For more details
+ see the libqtwebkit4 package.
  .
  This Package is part of the PerlQt module.
 
@@ -322,6 +337,7 @@
           libqtsvg4-perl (= ${binary:Version}),
           libqttest4-perl (= ${binary:Version}),
           libqtuitools4-perl (= ${binary:Version}),
+          libqtwebkit4-perl (= ${binary:Version}),
           libqtxml4-perl (= ${binary:Version}),
           libqtxmlpatterns4-perl (= ${binary:Version})
 Description: debugging symbols for the perl Qt4 bindings.
